Rendering of malayalam fonts in SVG
OpenPublic

Description

Author: vssun9

Description:
Rendering screenshots

Wikimedia servers render svg files which include malayalam text incorrectly. Screenshot of the server rendered and locally rendered versions of above mentioned svg file is attached.


Version: unspecified
Severity: trivial
URL: http://ml.wikipedia.org/wiki/%E0%B4%AA%E0%B5%8D%E0%B4%B0%E0%B4%AE%E0%B4%BE%E0%B4%A3%E0%B4%82:Status_iucn3.1_LC_ml.svg
See Also:
https://launchpad.net/bugs/958345

Attached:

bzimport set Reference to bz25140.
bzimport created this task.Via LegacySep 11 2010, 9:54 AM
Peachey88 added a comment.Via ConduitSep 12 2010, 1:45 AM

The required fonts might need to be added to the image scale-rs.

Praveenp added a comment.Via ConduitSep 12 2010, 5:26 AM

Fonts in both screenshots are same (Seems font Rachana). Afraid rendering needs to be fixed. This kind of display error was common in Linux until 2008. Later fixed in Pango.

TheDJ added a comment.Via ConduitNov 4 2010, 4:48 AM

Indeed a bug in the text layouting of pango. Might be fixed with updating both pango and rsvg (see also bug 24000).

MarkAHershberger added a comment.Via ConduitApr 28 2011, 10:23 PM

Doing to this bug what I did to bug 24000. People have been asking for update of these and a few other core utils and the effort seems stalled.

Reedy added a comment.Via ConduitJul 6 2011, 8:10 PM

Removing "shell" keyword for things that aren't directly doable by shell users etc

Reedy added a comment.Via ConduitJul 6 2011, 8:31 PM

Adding ops keyword

Reedy added a comment.Via ConduitJul 6 2011, 8:31 PM

Removing shell keyword if exists

Reedy added a comment.Via ConduitJul 6 2011, 9:39 PM

Looking at this, upgrading to 10.04 will fix the known version problems

Just spoke to CT about this, and will look into whether we get the current image scalers upgraded, or how to proceed

MarkAHershberger added a comment.Via ConduitSep 21 2011, 1:49 PM

lowering priority on this that will take a little longer to get resolved.

brion added a comment.Via ConduitOct 15 2011, 5:36 PM

I forced an ?action=purge on http://ml.wikipedia.org/wiki/%E0%B4%AA%E0%B5%8D%E0%B4%B0%E0%B4%AE%E0%B4%BE%E0%B4%A3%E0%B4%82:Status_iucn3.1_LC_ml.svg and refreshed -- it now renders as in the good part of the sample issue, whereas previous rendering was as in the bad part of the sample issue.

Resolving FIXED. :D

(If any bad-rendering images still exist, try an ?action=purge on them.)

Praveenp added a comment.Via ConduitOct 16 2011, 2:40 PM

Hi, most of the rendering issues are resolved, readability increased pretty high, thank you. But still some problems remain.

Please check http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg

I hope this svg which uses path instead of text of above image will help to find correct rendering: http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml.svg

Can you please specify the default font for Malayalam also?

Praveenp added a comment.Via ConduitOct 18 2011, 4:01 AM

I think somebody has updated, default font to Rachana from Malayalam. So almost all rendering issues are solved. Rachana from so called "upstream developers" still follows Unicode 5.0 which does not contain atomic chillus, new [[Indian Rupee]] symbol, correct representation of zero etc. So they cause another set of readability issues.

bzimport added a comment.Via ConduitOct 18 2011, 4:28 AM

shijualex wrote:

Please make sure a proper unicode Malayalam font that support atomic chillus are set as the default Malayalam font for the Malayalam wiki projects.

"Malayalam wiki community" is not at all fine with using Unicode version 5.0 for Wikimedia activities. We have already moved to higher version of unicode. We definitely do not want to go back to earlier version of unicode, unless Unicode consortium decides other wise.

Dzahn added a comment.Via ConduitMar 21 2012, 6:58 AM

could somebody confirm if you still wait for additional font packages to be installed?

and if yes, if any of these Ubuntu distro packages would be what you're after?

language-support-fonts-ml - Additional fonts metapackage for Malayalam
language-support-ml - metapackage for Malayalam language support

ttf-indic-fonts-core - Core collection of free fonts for languages of India
ttf-malayalam-fonts - Free TrueType fonts for the Malayalam language

Praveenp added a comment.Via ConduitMar 21 2012, 8:14 AM

Yes, please check links in comment 11.

Recently I heard developers updated their fonts. I don't know their specific package name (also heard package name also changed from ttf-malayam-fonts to something like smc-fonts). I'm not sure about its existance in 10.04 repository. Probably Santhosh will be able to help.

MarkAHershberger added a comment.Via ConduitMar 21 2012, 4:30 PM

(In reply to comment #15)

Yes, please check links in comment 11.

Look good to me

santhosh added a comment.Via ConduitMar 21 2012, 5:24 PM

Ubuntu is yet to update the package to latest version of the fonts.
Here is the bug I filed https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345

The png image at http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg obviously uses old font and has rendering issues.

The svg - http://upload.wikimedia.org/wikipedia/commons/d/d6/Licensing_tutorial_ml_%28Text%29.svg - uses text and not path, so if your local system has latest version of Rachana font, you will see it rendered using that.

MarkAHershberger added a comment.Via ConduitMar 23 2012, 3:35 PM
  • Bug 31950 has been marked as a duplicate of this bug. ***
MarkAHershberger added a comment.Via ConduitMar 23 2012, 3:56 PM

(In reply to comment #17)

Ubuntu is yet to update the package to latest version of the fonts.
Here is the bug I filed
https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345

Thanks!

The svg -
http://upload.wikimedia.org/wikipedia/commons/d/d6/Licensing_tutorial_ml_%28Text%29.svg

  • uses text and not path, so if your local system has latest version of Rachana font, you will see it rendered using that.

I've installed fonts-indic from debian but the wrapping is still messed up. Should I expect that? Am I doing something wrong?

santhosh added a comment.Via ConduitMar 23 2012, 4:16 PM

(In reply to comment #19)

I've installed fonts-indic from debian but the wrapping is still messed up.
Should I expect that? Am I doing something wrong?

If you installed fonts-indic, we expect error free rendering without any missing glyphs. I can check if you can share a screenshot.

MarkAHershberger added a comment.Via ConduitMar 23 2012, 6:58 PM

Created attachment 10314
current view

If you installed fonts-indic, we expect error free rendering without any
missing glyphs. I can check if you can share a screenshot.

Here you go.

Attached:

santhosh added a comment.Via ConduitMar 24 2012, 3:58 AM

(In reply to comment #21)

Created attachment 10314 [details]
current view

> If you installed fonts-indic, we expect error free rendering without any
> missing glyphs. I can check if you can share a screenshot.

Here you go.

The fonts are latest ones and there is no problem with rendering . The top title is not wrapped well into the space there. But I think that is a svg design issue(either title should be small font size or llinebreaks required) and not at all related to fonts.

Attached:

MarkAHershberger added a comment.Via ConduitMay 28 2012, 5:56 PM

Lowering priority on high priority bugs that have a low severity

Praveenp added a comment.Via ConduitSep 5 2012, 4:31 AM

https://commons.wikimedia.org/wiki/Image:IBM_PC_Memory_areas-ml.svg this image uses Atomic chillu characters and displays it, but looks bit different from other characters. I feel that chillu characters are taken from some other fonts. Font specified in the above image is Raghu.

But surprisingly the image http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg gives no chillu character yet! Specified font in this image is Rachana.

First image gives an impression fonts are partially updated. I don't know whether ubuntu repo is updated in such a way.

faidon added a comment.Via ConduitOct 27 2012, 10:48 AM

We've upgraded image scalers to precise last week, which includes newer versions of pretty much everything (fonts, librsvg etc.). Could you re-check and see if the bug still appears?

Praveenp added a comment.Via ConduitOct 27 2012, 4:30 PM

As you can observe in the second link of above comment (Comment 24), bug is still open. Please see Comment 11 also.

Aklapper added a comment.Via ConduitOct 30 2012, 2:35 PM

So problematic http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg uses Rachana font, still an issue after recent server upgrade to librsvg 2.36, pango 1.30.

Raghu font seems to work according to comment 24.
Wondering about other fonts, such as Anjali.

Note to myself: For Chillu characters, see http://unicode.org/versions/Unicode5.1.0/#Malayalam_Chillu_Characters

jeremyb added a comment.Via ConduitFeb 15 2013, 12:27 AM

So what's happening here? is Mark an accurate assignee?

Siddhartha-Ghai added a comment.Via ConduitJan 31 2014, 9:06 AM

The font problem also affects devanagari. The problem is similar to Malayalam. The viram character ् (U+094D) should result in two characters joining but the text shows them separately.

For example, see the template [1]. The text

इस्लाम शाह सूरी (1545 - 1554)

near the bottom left (as an example) is rendered incorrectly. The labels contain the word

साम्राज्य

which is also rendered incorrectly.

Please let me know if a screenshot/another bug is needed. Thanks.

[1]: https://hi.wikipedia.org/s/734m

Siddhartha-Ghai added a comment.Via ConduitJan 31 2014, 9:07 AM

(In reply to comment #29)
Please disregard that. Wrong bug. Comment meant for Bug 21497.

mark placed this task up for grabs.Via WebDec 17 2014, 10:24 PM
mark set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.